summaryrefslogtreecommitdiffstats
path: root/source/n/yptools/yptools.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/yptools/yptools.SlackBuild')
-rwxr-xr-xsource/n/yptools/yptools.SlackBuild11
1 files changed, 6 insertions, 5 deletions
diff --git a/source/n/yptools/yptools.SlackBuild b/source/n/yptools/yptools.SlackBuild
index 42d96a30b..7baeeb619 100755
--- a/source/n/yptools/yptools.SlackBuild
+++ b/source/n/yptools/yptools.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,13 +22,13 @@
# Package version number:
-VERSION=2.12
-BUILD=${BUILD:-3}
+VERSION=2.14
+BUILD=${BUILD:-2}
YPTOOLS=$VERSION
-YPBINDMT=1.32
+YPBINDMT=1.37.1
#YPMAKE=0.11
-YPSERV=2.24
+YPSERV=2.31
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -70,6 +70,7 @@ zcat $CWD/nsswitch.conf-nis.gz > $PKG/etc/nsswitch.conf-nis.new
rm -rf yp-tools-$YPTOOLS
tar xvf $CWD/yp-tools-$YPTOOLS.tar.bz2 || exit 1
cd yp-tools-$YPTOOLS || exit 1
+zcat $CWD/yp-tools-2.14-glibc217-crypt.diff.gz | patch -p1 --verbose || exit 1
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \